#pragma once 
#include <glad/glad.h>
#define GLFW_STATIC
#include <GLFW/glfw3.h>


class BarinkWindow{
    private:
        GLFWwindow* window;
        bool FullScreen;
        bool VulkanSupported;
        int Width, Height;

        static bool InitGLFW();


    public:
        BarinkWindow(const int width, const int height);
        ~BarinkWindow();

        bool WindowShouldClose();

        void Poll();


};